Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ajax.container
Class MuleAjaxServlet

    java.lang.Object
      javax.servlet.GenericServlet
          org.mortbay.cometd.AbstractCometdServlet
              org.mortbay.cometd.continuation.ContinuationCometdServlet
                  org.mule.transport.ajax.container.MuleAjaxServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class MuleAjaxServlet

extends org.mortbay.cometd.continuation.ContinuationCometdServlet

Wraps the `ContinuationCometdServlet` servlet and binds the Bayeux object to the Mule `AjaxServletConnector`.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `MuleAjaxServlet.MuleContinuationBayeux` We subclass the `ContinuationBayeux` so tat we can insert a different message implementation that allows us to have better control over the message going across the wire.
`class` | `MuleAjaxServlet.MuleMessageImpl`

Field Summary
`protected Connector` | `connector`

Fields inherited from class org.mortbay.cometd.AbstractCometdServlet
`__DEFAULT_REFS_THRESHOLD, _bayeux, _refsThreshold, BROWSER_ID, CLIENT_ATTR, HTTP_CLIENT_ID, MESSAGE_PARAM, TRANSPORT_ATTR, TUNNEL_INIT_PARAM`

Constructor Summary
`MuleAjaxServlet()`

Method Summary
`protected String` | `getConnectorProtocol()`
`void` | `init()`
`protected org.mortbay.cometd.AbstractBayeux` | `newBayeux()`
`protected void` | `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class org.mortbay.cometd.continuation.ContinuationCometdServlet
`destroy`

Methods inherited from class org.mortbay.cometd.AbstractCometdServlet
`findBrowserId, getBayeux, getMessages, service, setBrowserId`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connector

    protected Connector connector

Constructor Detail

### MuleAjaxServlet

    public MuleAjaxServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Overrides:
    `init` in class `org.mortbay.cometd.AbstractCometdServlet`
  Throws:
    `ServletException`

### service

    protected void service(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           IOException

  Overrides:
    `service` in class `org.mortbay.cometd.continuation.ContinuationCometdServlet`
  Throws:
    `ServletException`
    `IOException`

### getConnectorProtocol

    protected String getConnectorProtocol()

### newBayeux

    protected org.mortbay.cometd.AbstractBayeux newBayeux()

  Overrides:
    `newBayeux` in class `org.mortbay.cometd.continuation.ContinuationCometdServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.